Security Enhanced Linux Reference Policy

# Layer: services

## Module: nis

Interfaces

### Description:

Policy for NIS (YP) servers and clients.

### Interfaces:

nis_admin( domain , role )

##### Summary

All of the rules required to administrate an nis environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

nis_authenticate( domain )

##### Summary

Use nis to authenticate passwords.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_delete_ypbind_pid( domain )

##### Summary

Delete ypbind pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_domtrans_ypbind( domain )

##### Summary

Execute ypbind in the ypbind domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nis_domtrans_ypxfr( domain )

##### Summary

Execute ypxfr in the ypxfr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nis_exec_ypbind( domain )

##### Summary

Execute ypbind in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_initrc_domtrans( domain )

##### Summary

Execute nis init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nis_initrc_domtrans_ypbind( domain )

##### Summary

Execute ypbind init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nis_list_var_yp( domain )

##### Summary

List nis data directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_read_ypbind_pid( domain )

##### Summary

Read ypbind pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_read_ypserv_config( domain )

##### Summary

Read ypserv configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_run_ypbind( domain , role )

##### Summary

Execute ypbind in the ypbind domain, and allow the specified role the ypbind domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

nis_signal_ypbind( domain )

##### Summary

Send generic signals to ypbind.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_use_ypbind( domain )

##### Summary

Use the ypbind service to access NIS services.

##### Description

Allow the specified domain to use the ypbind service to access Network Information Service (NIS) services. Information that can be retreived from NIS includes usernames, passwords, home directories, and groups. If the network is configured to have a single sign-on using NIS, it is likely that any program that does authentication will need this access.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_use_ypbind_uncond( domain )

##### Summary

Use the ypbind service to access NIS services unconditionally.

##### Description

Use the ypbind service to access NIS services unconditionally.

This interface was added because of apache and spamassassin, to fix a nested conditionals problem. When that support is added, this should be removed, and the regular interface should be used.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return